Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.opengis.geometry.coordinate
Interface Placement

All Known Subinterfaces:
  AffinePlacement

    @UML(identifier="GM_Placement",
         specification=ISO_19107)
    public interface Placement

Takes a standard geometric construction and places it in geographic space. This interface defines a transformation from a constructive parameter space to the coordinate space of the coordinate reference system being used. Parameter spaces in formulae are given as (u, v) in 2D and (u, v, w) in 3D. Coordinate reference systems positions are given in formulae by either (x, y) in 2D, or (x, y, z) in 3D.

Since:
  GeoAPI 2.0
Version:
  ISO 19107

Method Summary
`int` | `getInDimension()` Return the dimension of the input parameter space.
`int` | `getOutDimension()` Return the dimension of the output coordinate reference system.
`double[]` | `transform(double[] in)` Maps the parameter coordinate points to the coordinate points in the output Cartesian space.

Method Detail

### getInDimension

    @UML(identifier="inDimension",
         obligation=MANDATORY,
         specification=ISO_19107)
    int getInDimension()

  Return the dimension of the input parameter space.

### getOutDimension

    @UML(identifier="outDimension",
         obligation=MANDATORY,
         specification=ISO_19107)
    int getOutDimension()

  Return the dimension of the output coordinate reference system. Normally, `outDimension` (the dimension of the coordinate reference system) is larger than `inDimension`. If this is not the case, the transformation is probably singular, and may be replaceable by a simpler one from a smaller dimension parameter space.

### transform

    @UML(identifier="transform",
         obligation=MANDATORY,
         specification=ISO_19107)
    double[] transform(double[] in)

  Maps the parameter coordinate points to the coordinate points in the output Cartesian space.

  Parameters:
    `in` - Input coordinate points. The length of this vector must be equals to `inDimension`.
  Returns:
    The output coordinate points. The length of this vector is equals to `outDimension`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1994-2008 Open Geospatial Consortium. All Rights Reserved.